* {
    margin: 0;
    padding: 0;
    text-align: center;
}

html {
    font-size: 100%;
}

.header-menu {
    max-width: 100%;
    background-color: black;
    height: 50px;
    display: flex;
}

body {
    margin: 0 auto;
    background-image: url(../images/bg.jpg);
    color: white;
}

.menu-list {
    margin: auto;
    width: 200px;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-menu img {
    height: 40px;
    top: 4px;
    left: 30px;
    position: absolute;
}

li {
    list-style: none;
}

a {
    color: white;
    text-decoration: none;
}

.main-visual {
    height: 95vh;
    background: url(../images/img1.jpg);
    background-size: cover;
    background-position: center;
}

h1 {
    font-size: 48px;
    padding: 30px 0;
    color: white;
}

.title {
    text-align: left;
    margin-left: auto;
    width: 50%;
    background-color: #000000;
    clip-path: polygon(10% 0, 100% 0, 95% 100%, 0% 100%);
    height: 300px;
}

.inner {
    width: 85%;
    height: 100%;
    margin-left: auto;
}

.title h2 {
    position: absolute;
    color: white;
    font-size: 100px;
    text-align: left;
    line-height: 135px;
}

#red {
    color: red;
}

#font-s {
    display: block;
    font-size: 30px;
    text-align: right;
    line-height: 16px;
}


.number {
    margin-top: 50px;
    width: 50%;
}

.number-area {
    font-size: 20px;
    position: absolute;
    background-color: black;
    clip-path: polygon(0 0, 50% 0, 60% 100%, 0 100%);
}

.number-list {
    line-height: 40px;
    color: white;
}

.number-list li {
    text-align: left;
    margin-left: 20px;
}

.bgextend {
    animation-name: bgAnimeBase;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    position: relative;
    overflow: hidden;
    opacity: 0;
}

.bgextend2nd {
    animation-name: bgAnimeBase;
    animation-duration: 1s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
    position: relative;
    overflow: hidden;
    opacity: 0;
}

@keyframes bgAnimeBase {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.bgappear {
    animation-name: bgAnimeSecond;
    animation-duration: 1s;
    animation-delay: 0.6s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.bgappear2nd {
    animation-name: bgAnimeSecond;
    animation-duration: 1s;
    animation-delay: 1.6s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes bgAnimeSecond {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.bgRLextend::before {
    animation-name: bgRLextendAnime;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: red;
}

@keyframes bgRLextendAnime {
    0% {
        transform-origin: right;
        transform: scaleX(0);
    }
    50% {
        transform-origin: right;
        transform: scaleX(1);
    }
    50.001% {
        transform-origin: left;
    }
    100% {
        transform-origin: left;
        transform: scaleX(0);
    }
}

.bgLRextend::before {
    display: list-item;
    animation-name: bgLRextendAnime;
    animation-duration: 1s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: red;
}

@keyframes bgLRextendAnime {
    0% {        
        transform-origin: left;
        transform: scaleX(0);
    }
    50% {
        transform-origin: left;
        transform: scaleX(1);
    }
    50.001% {
        transform-origin: right;
    }
    100% {
        transform-origin: right;
        transform: scaleX(0);
    }
}

.step {
    max-width: 960px;
    text-align: center;
    padding-bottom: 30px;
    margin: 0 auto;
}

.step-list p {
    color: black;
}

h3 {
    font-size: 32px;
    margin: 30px 0 10px;
}

.content  {
    margin-bottom: 20px;
}

.step-list li {
    padding-top: 20px;
    background-color: rgb(236, 233, 233);
    border-radius: 10px;
    width: 50%;
    min-height: 150px;
    opacity: 0.9;
}

#list-title {
    font-weight: bold;
    font-size: 24px;
    background-color: black;
    color: white;
    margin: 0 auto 10px;
}   

#list-p {
    width: fit-content;
    margin: 5px auto;
}

.list-1 {
    background-image: url(../images/img2.jpg);
    background-size: cover;
    background-position: center;
    border-radius: 10px;
}

.list-2 {
    background-image: url(../images/img3.jpg);
    background-size: cover;
    background-position: center;
    border-radius: 10px;
}

.list-3 {
    background-image: url(../images/img4.jpg);
    background-size: cover;
    background-position: center;
    border-radius: 10px;
}

.list-4 {
    background-image: url(../images/img2.jpg);
    background-size: cover;
    background-position: center;
    border-radius: 10px;
}

.bl #list-title {
    clip-path: polygon(5% 0, 90% 0, 80% 100%, 5% 100%);
}

.wh #list-title {
    background-color: white;
    color: black;
    clip-path: polygon(20% 0, 95% 0, 95% 100%, 10% 100%);
}

#list-data {
    font-weight: bold;
    font-size: 18px;
    margin-bottom: 5px;
}

.clr {
    color: rgb(253, 112, 112);
}

.wh {
    background-color: white;
    width: 50%;
    margin-left: auto;
}

.step-bgLRextend::before {
    animation-name: bgLRextendAnime;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    content: "";
    position: absolute;
    width: 50%;
    height: 100%;
    background-color: gray;
    z-index: 1;
    padding-top: 10px;
    left: 0;
}

.step-bgRLextend::before {
    animation-name: bgRLextendAnime;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    content: "";
    position: absolute;
    width: 50%;
    height: 100%;
    background-color: grey;
    z-index: 1;
    padding-top: 10px;
    right: 0;
}

.s {
    opacity: 0;
}

.show {
    transition: all 2.5s;
    transition-delay: 0.6s;
    opacity: 1;
}

.flex {
    display: flex;
    justify-content: center;
    padding-top: 20px;
}

.contact-list {
    font-size: 24px;
}

#company-name {
    font-size: 28px;
    font-weight: bold;
}

#address {
    margin-right: 128px;
}

#font-l {
    display: inline-block;
    width: 240px;
    text-align: left;
    font-size: 18px;

}

#font-ss {
    font-size: 16px;
}

#line {
    font-size: 16px;
}

.line-QR {
    width: 80px;
    margin: 0 auto;
}

.line-QR img {
    width: 100%;
}

.fa-line {
    background-color: white;
    border-radius: 50%;
}

.line-QR .fa-line {
    font-size: 50px;
}

.icon-area {
    margin: auto 0;
}

.icon-area img {
    width: 220px;
    border-radius: 10%;
    object-fit: cover;
}

.map {
    max-width: 800px;
    overflow: hidden;
    margin-bottom: 20px;
    aspect-ratio: 16/9;
    margin: 20px auto 20px;
}

iframe {
    width: 100%;
    height: 100%;
}

footer {
    background-color: black;
    color: white;
    font-size: 12px;
}

@media screen and (min-width: 960px) and (max-width: 1439px) {
    body {
        max-width: 960px;
    }
    .title {
        height: 215px;
    }
    .title h2 {
        font-size: 70px;
        line-height: 90px;
    }
}

@media screen and (max-width: 1439px) {
    .number-area {
        clip-path: polygon(0 0, 70% 0, 80% 100%, 0 100%)
    }
}

@media screen and (max-width: 960px) {
    .title {
        height: 155px;
    }
}

@media screen and (min-width: 740px) and (max-width: 960px) {
    .title h2 {
        font-size: 55px;
        line-height: 60px;
}

    .number-list {
        font-size: 16px;
        line-height: 30px;
    }

    .number-list li {
        margin-left: 10px;
    }
}

@media screen and (max-width: 780px) {
    #list-p {
        margin: 10px auto;
    }
    
}

@media screen and (max-width: 740px) {
    
    h1 {
        font-size: 40px;
    }

    .title {
        width: 60%;
    }

    .title h2 {
        font-size: 45px;
        line-height: 50px;
        padding-top: 20px;
    }

    #font-s {
        font-size: 24px;
        line-height: 16px;
    }

    .number {
        margin-top: 150px;
    }

    .number-area {
        clip-path: polygon(0 0, 95% 0, 100% 100%, 0 100%);

    }

    .number-list {
        font-size: 16px;
        line-height: 30px;
    }

    .number-list li {
        margin-left: 10px;
    }

    .step-list li {
        width: 100%;
    }

    .step-bgLRextend::before {
        width: 100%;
    }

    .step-bgRLextend::before {
        width: 100%;
    }
}

@media screen and (max-width: 680px) {
    .flex {
        flex-direction: column;        
    }

    #company-name {
        font-size: 24px;
    }

    .icon-area img {
        height: 220px;
    }
}

@media screen and (max-width: 520px) {
    .title {
        width: 80%;        
    }

    .number {
        width: 60%;
    }

    h1 {
        font-size: 32px;
    }

    h3 {
        font-size: 22px;
    }

    #list-data {
        font-size: 16px;
    }

    .content p {
        font-size: 14px;
    }

    #address {
        margin-right: 0;
    }

    .line-QR img {
        display: none;
    }

    .header-menu img {
        height: 25px;
        top: 11px;
        left: 11px;
    }
}

@media screen and (min-width: 521px) {
    .line-QR i {
        display: none;
    }
}

@media screen and (max-width: 420px) {
    h1 {
        font-size: 24px;
    }

    #step-p {
        font-size: 12px;
    }

    #company-name {
        font-size: 20px;
    }
}

@media screen and (max-width: 380px) {
    .menu-list {
        justify-content: space-evenly;
    }
    
    .title {
        width: 90%;        
    }

    .title h2 {
        font-size: 40px;
    }

    .number {
        width: 80%;
    }

    .contact-list li p {
        font-size: 20px;
    }

}

@media screen and (min-width: 380px) {
    #br-1 {
        display: none;
    }
}